Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FitnessEvaluation.externalInterpreters.ParityProblem
Class EvenFiveParBSF

    java.lang.Object
      FitnessEvaluation.externalInterpreters.ParityProblem.EvenFiveParBSF

    public abstract class EvenFiveParBSF

extends java.lang.Object

Class implementing the functions called by the Even Five Parity problem

Author:
  jonatan

Constructor Summary
`EvenFiveParBSF()` Creates a new instance of EvenFiveParityHelpFile

Method Summary
`abstract int` | `expr(int d0, int d1, int d2, int d3, int d4)` Abstract method to override for evaluating input expression.
`int` | `getFitness()` Calculates the fitness by comparing the input expression to all possible cases.
`int` | `not(int x)` Negates the input, 1 becomes 0, 0 becomes 1

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvenFiveParBSF

    public EvenFiveParBSF()

  Creates a new instance of EvenFiveParityHelpFile

Method Detail

### not

    public int not(int x)
            throws java.lang.ArithmeticException

  Negates the input, 1 becomes 0, 0 becomes 1

  Parameters:
    `x` - input
  Returns:
    negated input
  Throws:
    `java.lang.ArithmeticException` - if input is not 0 or 1

### getFitness

    public int getFitness()

  Calculates the fitness by comparing the input expression to all possible cases. Minimizing 0 is the best

  Returns:
    the fitness value

### expr

    public abstract int expr(int d0,
                             int d1,
                             int d2,
                             int d3,
                             int d4)

  Abstract method to override for evaluating input expression.

  Parameters:
    `d0` - input
    `d1` - input
    `d2` - input
    `d3` - input
    `d4` - input
  Returns:
    value of expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD